命令行运行程序
javac xx后出现无法支持类库的信息
用java -version后显示 jdk1.3.1

敲入set path 显示:  
Path=E:\oracle\ora92\bin;C:\Program Files\Oracle\jre\1.3.1\bin;C:\Program Files\Oracle\jre\1.1.8\bin;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;C:\Program Files\Common Files\Thunder Network\KanKan\Codecs;C:\Program Files\CommonFiles\TTKN\Bin;\%JAVA_HOME%\bin;%JAVA_HOME%\jre\bin;
原来是装了oracel后环境变量置于jdk1.6前导致有些类库不支持
改成
%JAVA_HOME%\bin;%JAVA_HOME%\jre\bin;E:\oracle\ora92\bin;C:\Program Files\Oracle\jre\1.3.1\bin;C:\Program Files\Oracle\jre\1.1.8\bin;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;C:\Program Files\Common Files\Thunder Network\KanKan\Codecs;C:\Program Files\Common Files\TTKN\Bin;
问题搞定。